Skip to main content

Subscriber Status

A subscriber is a user who has opted in to receive notifications from your website. This endpoint determines whether a subscriber is active, accepts form-encoded request bodies, and returns the response in JSON format.

POST
 https://api.pushengage.com/apiv1/subscribers/check
info

In some APIs, the term subscriber_hash is used. However, the same reference is called subscriber_id in the web SDK. As a result:

  • Web SDK: consistently uses subscriber_id.
  • API: opts for subscriber_hash.

Request Parameters​

Parameter NameTypeRequiredDescription
subscriber_hashStringYesThis is the unique ID for a subscriber. It is generated when a user grants permission to receive push notifications.

Response Object​

Property NameTypeRequiredDescription
successBooleanYesIndicates whether the push request succeeded or not. Values can be true or false.
messageStringNoProvided in case of failure to denote the reason for failure.

Example​

Request​

curl -X POST -H "Api-Key: <your_pushengage_api_key>" -H "Content-Type: application/x-www-form-urlencoded" -d 'subscriber_hash=ety67HgTYgKl8' "https://api.pushengage.com/apiv1/subscribers/check"

Response​

{
"success": true
}